# ApplicationFramework
TKCDF
CDM

# CDM_ListIteratorOfListOfReferences Class Reference

`#include <CDM_ListIteratorOfListOfReferences.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_ListIteratorOfListOfReferences ()
Standard_EXPORT | CDM_ListIteratorOfListOfReferences (const CDM_ListOfReferences &L)
Standard_EXPORT void | Initialize (const CDM_ListOfReferences &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_CDM_Reference & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT CDM_ListIteratorOfListOfReferences::CDM_ListIteratorOfListOfReferences | ( |  | ) |

Standard_EXPORT CDM_ListIteratorOfListOfReferences::CDM_ListIteratorOfListOfReferences | ( | const CDM_ListOfReferences & | L | ) |

## Member Function Documentation

Standard_EXPORT void CDM_ListIteratorOfListOfReferences::Initialize | ( | const CDM_ListOfReferences & | L | ) |

Standard_Boolean CDM_ListIteratorOfListOfReferences::More | ( |  | ) | const

Standard_EXPORT void CDM_ListIteratorOfListOfReferences::Next | ( |  | ) |

void CDM_ListIteratorOfListOfReferences::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_ListIteratorOfListOfReferences::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_ListIteratorOfListOfReferences::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_CDM_Reference& CDM_ListIteratorOfListOfReferences::Value | ( |  | ) | const

## Field Documentation

Standard_Address CDM_ListIteratorOfListOfReferences::current `[private]`

Standard_Address CDM_ListIteratorOfListOfReferences::previous `[private]`

The documentation for this class was generated from the following file:

- CDM_ListIteratorOfListOfReferences.hxx